# Interface LocationSearchOptions

#### Hierarchy

- LocationSearchOptions

- Defined in src/search/createLocationSearchBloodhound.js:56

#####
Index

### Properties

limit
options
origins
prepare
remoteOptions
targetProjection

## Properties

### limit

limit: number

The maximum number of results to retrieve per request.

- Defined in src/search/createLocationSearchBloodhound.js:57

### options

options: BloodhoundOptions<Results>

Optional Bloodhound options. If `undefined`, the default Bloodhound config will be used.

- Defined in src/search/createLocationSearchBloodhound.js:62

### origins

origins: string

A comma separated list of origins. Possible origins are: zipcode,gg25,district,kantone,gazetteer,address,parcel Per default all origins are used.

- Defined in src/search/createLocationSearchBloodhound.js:58

### prepare

prepare: ((arg0: string, arg1: JQueryAjaxSettings) => JQueryAjaxSettings)

#### Type declaration

- - (arg0: string, arg1: JQueryAjaxSettings): JQueryAjaxSettings

  - Optional function to prepare the request.

    #### Parameters

    - ##### arg0: string

    - ##### arg1: JQueryAjaxSettings

    #### Returns JQueryAjaxSettings

- Defined in src/search/createLocationSearchBloodhound.js:66

### remoteOptions

remoteOptions: RemoteOptions<Results>

Optional Bloodhound remote options. Only used if `remote` is not defined in `options`.

- Defined in src/search/createLocationSearchBloodhound.js:64

### targetProjection

targetProjection: Projection

Target projection.

- Defined in src/search/createLocationSearchBloodhound.js:61

Generated using TypeDoc